package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

import java.util.List;

/**
 * 对应数据库表(music_group_performance):
 */
public class MusicGroupPerformance extends BaseEntity {

	/**  */
	private Integer id;
	
	/** 乐团编号 */
	private String musicGroupId;

	/** 乐团编号 */
	private String musicGroupName;
	
	/** 名称 */
	private String name;

	private String organName;

	/** 展演曲目名称,逗号分隔 */
	private List<String> musicScoreNames;

	private String musicScoreName;

	/** 添加人 */
	private Integer operator;

	//剩余天数
	private Integer subDay;

	/** 添加人 */
	private String operatorName;
	
	/** 排序 */
	private Integer order = 1;
	
	/** 展演时间 */
	private java.util.Date startTime;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;


	public List<String> getMusicScoreNames() {
		return musicScoreNames;
	}

	public void setMusicScoreNames(List<String> musicScoreNames) {
		this.musicScoreNames = musicScoreNames;
	}

	public String getMusicGroupName() {
		return musicGroupName;
	}

	public void setMusicGroupName(String musicGroupName) {
		this.musicGroupName = musicGroupName;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public Integer getSubDay() {
		return subDay;
	}

	public void setSubDay(Integer subDay) {
		this.subDay = subDay;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setMusicScoreName(String musicScoreName){
		this.musicScoreName = musicScoreName;
	}
	
	public String getMusicScoreName(){
		return this.musicScoreName;
	}
			
	public void setOperator(Integer operator){
		this.operator = operator;
	}
	
	public Integer getOperator(){
		return this.operator;
	}
			
	public void setOrder(Integer order){
		this.order = order;
	}
	
	public Integer getOrder(){
		return this.order;
	}
			
	public void setStartTime(java.util.Date startTime){
		this.startTime = startTime;
	}
	
	public java.util.Date getStartTime(){
		return this.startTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
